---
  - name: get dns info from cluster
    uri:
      url: "{{ prism_api_v2 }}/cluster/name_servers"
      method: GET
      body_format: json
      headers:
        Authorization: "{{ prism_api_auth_header }}"
      return_content: yes
      validate_certs: "{{ validate_certs }}"
    register: cluster_dns
    delegate_to: localhost
#  - debug: var=cluster_dns.json

  - name: remove bad dns addresses
    uri:
      url: "{{ prism_api_v2 }}/cluster/name_servers/{{ item }}"
      method: DELETE
      body_format: json
      headers:
        Authorization: "{{ prism_api_auth_header }}"
      return_content: yes
      validate_certs: "{{ validate_certs }}"
      status_code: 204
    when: item not in dns
    changed_when: true
    register: dns_remove_bad_entry
    ignore_errors: true
    with_items: "{{ cluster_dns.json }}"
    delegate_to: localhost
#  - debug: var=dns_remove_bad_entry

  - name: set dns addresses
    uri:
      url: "{{ prism_api_v2 }}/cluster/name_servers"
      method: POST
      body:
        value: "{{ item }}"
      body_format: json
      headers:
        Authorization: "{{ prism_api_auth_header }}"
      return_content: yes
      validate_certs: "{{ validate_certs }}"
      status_code: 200,201
    with_items: "{{ dns }}"
    changed_when: true
    when: item not in cluster_dns.json
    register: dns_update
    delegate_to: localhost
    ignore_errors: true
#  - debug: var=dns_update
